diff -Naur PDL-2.4.3/Graphics/Makefile.PL PDL-2.4.3-freebsd-fix/Graphics/Makefile.PL
--- PDL-2.4.3/Graphics/Makefile.PL	2006-08-16 22:46:37.000000000 -0400
+++ PDL-2.4.3-freebsd-fix/Graphics/Makefile.PL	2006-10-08 11:23:08.734375000 -0400
@@ -62,6 +62,13 @@
              '-DGLX_NV_vertex_array_range';
           }
 
+          # hack for FreeBSD 
+          #   chm: Need to add include path check that #include <GL/gl.h> works
+          #
+          if ($^O eq "freebsd" and not defined $PDL::Config{OPENGL_INC}) {
+             $PDL::Config{OPENGL_INC} = "-I/usr/X11R6/include";
+          }
+
           # hack for OS-X
           if ($^O eq "darwin" and not defined $PDL::Config{OPENGL_INC}) {
              $PDL::Config{OPENGL_INC} = "-I/usr/X11R6/include";
diff -Naur PDL-2.4.3/IO/Dumper.pm PDL-2.4.3-freebsd-fix/IO/Dumper.pm
--- PDL-2.4.3/IO/Dumper.pm	2006-03-14 18:19:11.000000000 -0500
+++ PDL-2.4.3-freebsd-fix/IO/Dumper.pm	2006-10-08 11:18:49.890625000 -0400
@@ -417,7 +417,7 @@
 # so we go this way for now as it is less-likely to break things
 #
 my $uudecode_string = "|uudecode";
-$uudecode_string .= " -s" if $^O eq "darwin";
+$uudecode_string .= " -s" if $^O eq "darwin" or $^O eq "freebsd" or $^O eq "openbsd";
 
 sub PDL::IO::Dumper::uudecode_PDL {
     my $lines = shift;
